#pragma once

#include "CoreMinimal.h"
#include "QuestEventViewData.generated.h"

USTRUCT(BlueprintType)
struct FQuestEventViewData
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FString QuestEventId;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	int32 Repetition;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FString Parameters;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FString Operation;

public:
	DBDUIVIEWINTERFACES_API FQuestEventViewData();
};

FORCEINLINE uint32 GetTypeHash(const FQuestEventViewData) { return 0; }
